<?php
$shop = & singleton('shop');

if (to_int($GLOBALS['producer_id']))
{
	$xsl_name = to_str($GLOBALS['LA']['xsl_name']);
	$shop->ShowProducer($GLOBALS['producer_id'], $xsl_name);
}
else
{
	$xsl_name = to_str($GLOBALS['LA']['xsl_list_name']);
	$param = array();
	$param['shop_id'] = to_int($GLOBALS['LA']['shop_id']);
	
	$page = strval(end($GLOBALS['URL_ARRAY']));

	// Количество на страницу
	$param['count'] = to_int($GLOBALS['LA']['ItemsOnPage']);
	
	// Определяем номер страницы.
	if (ereg("^page-([0-9]*)$", $page, $regs) && to_int($regs[1]) > 1)
	{
		/* Страница умножается на кол-во элементов, выводимых на страницу */
		$param['begin'] = ($regs[1] - 1) * $param['count'];
	}
	else
	{
		$param['begin'] = 0;
	}
	
	$shop->ShowProducersList($xsl_name, $param);
}
?>